Package org.gradle.language

## Interface LibraryDependencies

- All Superinterfaces:
    `ComponentDependencies`

      public interface LibraryDependencies
      extends ComponentDependencies

  Allows the API and implementation dependencies of a library to be specified.
  Since:
    4.6

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `api​(Object notation)` | Adds an API dependency to this library.
    `void` | `api​(Object notation, Action<? super ExternalModuleDependency> action)` | Adds an API dependency to this library.

    - ### Methods inherited from interface org.gradle.language.ComponentDependencies

      `implementation, implementation`

- - ### Method Detail

    - #### api

          void api​(Object notation)

      Adds an API dependency to this library. An API dependency is made visible to consumers that are compiled against this component.
      Parameters:
        `notation` - The dependency notation, as per `DependencyHandler.create(Object)`.

    - #### api

          void api​(Object notation,
                   Action<? super ExternalModuleDependency> action)

      Adds an API dependency to this library. An API dependency is made visible to consumers that are compiled against this component.
      Parameters:
        `notation` - The dependency notation, as per `DependencyHandler.create(Object)`.
        `action` - The action to run to configure the dependency.